Skip to main content

Call cancelled ticket

POST{{server}}/api/v1/counter/callCancelledTicket

This endpoint returns the recent cancelled ticket (e.g. if server started or counter closed). If there is no cancelled ticket, it returns 204 No content

Request​

Authorization​

HeaderValue
AuthorizationBearer {{counterToken}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}

Code snippets​

curl -X POST '{{server}}/api/v1/counter/callCancelledTicket' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}'

Examples (2)​

Example request
POST{{server}}/api/v1/counter/callCancelledTicket
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length1412
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
{
"key": "1905ea88-9a61-49f7-a9d6-8a6b34f71148",
"status": 30,
"user": "00000000-0000-4000-0002-000000000006",
"counter": "00000000-0000-4000-0010-000000000003",
"calls": 1,
"statusTime": 1719576328116,
"reserved": false,
"history": {},
"language": "00000000-0000-4000-0004-000000000001",
"createdAt": 1719575021990,
"number": "006",
"bookingCode": null,
"crm": null,
"createType": 1,
"comments": null,
"customerData": {},
"priority": 5,
"transactionTimeSum": 0,
"waitingTimeSum": 0,
"recording": 0,
"customerName": null,
"tasks": [
{
"type": 7,
"key": "1905ea88-9a52-4794-7ab4-8bcfdad16155",
"subType": 1,
"name": "Service 1",
"statName": null,
"ticketLayout": null,
"numberInterval": "00000000-0000-4000-0019-000000000001",
"priority": 5,
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Service 1",
"explanation": null,
"comment": null
},
"00000000-0000-4000-0004-000000000017": {
"name": "Feladat 1",
"explanation": null,
"comment": null
}
},
"codes": [
"00000000-0000-4000-0013-000000000006",
"00000000-0000-4000-0013-000000000007",
"00000000-0000-4000-0013-000000000008",
"00000000-0000-4000-0013-000000000009",
"00000000-0000-4000-0013-000000000010"
],
"status": 20,
"aspect": null,
"normalDelay": 120,
"forcedDelay": 300,
"services": [],
"time": 1702039295628,
"": null,
"service": "00000000-0000-4000-0007-000000000001",
"createType": 1,
"createdAt": 1719575021989,
"statusTime": 1719575021989,
"zero": false,
"user": null
}
]
}